# dismiss_keyboard

Close the on-screen keyboard when it covers what you need; it does nothing when the keyboard is not open.

Close the on-screen keyboard when it covers what you need; it does nothing when the keyboard is not open.

| | |
|---|---|
| REST operation | [`act`](/reference/rest/actions/#act) (`POST /v1/devices/{deviceId}/actions`) |
| Action type | `dismissKeyboard` |
| Needs a device | yes |
| Read only | no |
| Profiles | `core`, `testing`, `full` |

## Parameters

| Name | Required | Type | Goes to | What it is |
|---|---|---|---|---|
| `device_id` | yes | string | path `deviceId` | Stable device id such as `ios:00008120-001A2B3C4D5E6F70` or `android:R58M123ABC`. |
| `lease` | no | string | header `Silan-Lease` | Lease token when the device is claimed. |
| `return` | no | object | body `returning` |  |

## Example call

```text
dismiss_keyboard({ device_id: "ios:00008120-001A2B3C4D5E6F70" })
```